[oe-commits] David-John Willis : system-tools-backends: Add 2.8. 3 and checksum and remove DEFAULT_PREFERENCE = "-1" from 2.8. 1 as I can find no good reason for it to be set.

git version control git at git.openembedded.org
Wed Feb 17 12:53:08 UTC 2010


Module: openembedded.git
Branch: shr/unstable
Commit: a9904949e3d06d7c389a3e330b3442be4ef504ea
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=a9904949e3d06d7c389a3e330b3442be4ef504ea

Author: David-John Willis <John.Willis at Distant-earth.com>
Date:   Sun Jan 17 17:33:39 2010 +0000

system-tools-backends: Add 2.8.3 and checksum and remove DEFAULT_PREFERENCE = "-1" from 2.8.1 as I can find no good reason for it to be set.

* Update Angstrom distro patch for 2.8.3 and make it only apply if Angstrom distro is set.

---

 conf/checksums.ini                                 |    4 +
 .../add-angstrom-distro.patch                      |   28 ++++++++
 .../system-tools-backends                          |   74 ++++++++++++++++++++
 recipes/gnome/system-tools-backends_2.8.1.bb       |    3 -
 recipes/gnome/system-tools-backends_2.8.3.bb       |   42 +++++++++++
 5 files changed, 148 insertions(+), 3 deletions(-)

diff --git a/conf/checksums.ini b/conf/checksums.ini
index e8cea4d..52c1274 100644
--- a/conf/checksums.ini
+++ b/conf/checksums.ini
@@ -26150,6 +26150,10 @@ sha256=7f56dd08cf5425218b697d5db82e6ce03aff4f7b57f58d3053f0a7af632b3747
 md5=2aecff382af4d8ba7fcd69298cc79413
 sha256=c1f5746d22ef439ee47c9b012273ccbefbb2621075f05876bdb6ad5cfe4e1bbe
 
+[http://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/2.8/system-tools-backends-2.8.3.tar.bz2]
+md5=403bf4b7c82455d995d6aa54613246c2
+sha256=67629bb6502a4c5b8b639867deb40ecabd5676a4655c264c1f0dbeb97de5c98c
+
 [ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-2.86.tar.gz]
 md5=7d5d61c026122ab791ac04c8a84db967
 sha256=035f98fae17d9cff002993c564ccc83dc4ed136127172caeff872b6abdb679d8
diff --git a/recipes/gnome/system-tools-backends-2.8.3/add-angstrom-distro.patch b/recipes/gnome/system-tools-backends-2.8.3/add-angstrom-distro.patch
new file mode 100644
index 0000000..f258f32
--- /dev/null
+++ b/recipes/gnome/system-tools-backends-2.8.3/add-angstrom-distro.patch
@@ -0,0 +1,28 @@
+Index: system-tools-backends-2.8.3/Utils/Platform.pm
+===================================================================
+--- system-tools-backends-2.8.3.orig/Utils/Platform.pm	2010-01-17 16:05:55.794914937 +0000
++++ system-tools-backends-2.8.3/Utils/Platform.pm	2010-01-17 16:13:07.271917106 +0000
+@@ -91,6 +91,7 @@
+   "nexenta-1.0"     => [ "Nexenta GNU/Solaris", "1.0", "Ellate" ],
+   "yellowdog-4.1"   => [ "Yellow Dog Linux", "4.1", "Sagitta" ],
+   "guadalinex-v4"   => [ "Guadalinex", "v4", "Toro" ],
++  "angstrom"        => [ "Angstrom", "", "" ],
+ };
+ 
+ sub get_platform_info
+@@ -141,6 +142,7 @@
+      "vine-3.1"         => "vine-3.0",
+      "vlos-1.2"         => "gentoo",
+      "nexenta-1.0"      => "solaris-2.11",
++     "angstrom"         => "debian-3.0",
+      );
+ 
+   return $metamap{$distro} if ($metamap{$distro});
+@@ -373,6 +375,7 @@
+                   [ \&check_ark ],
+                   [ \&check_yoper ],
+                   [ \&check_distro_file, "/etc/yellowdog-release", "yellowdog", "^Yellow Dog Linux release (\\S+)" ],
++                  [ \&check_file_exists, "/etc/angstrom-version", "angstrom" ],
+                  ],
+     "FreeBSD" => [[ \&check_freebsd ]],
+     "SunOS"   => [[ \&check_solaris ]]
diff --git a/recipes/gnome/system-tools-backends-2.8.3/system-tools-backends b/recipes/gnome/system-tools-backends-2.8.3/system-tools-backends
new file mode 100644
index 0000000..704c36d
--- /dev/null
+++ b/recipes/gnome/system-tools-backends-2.8.3/system-tools-backends
@@ -0,0 +1,74 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          system-tools-backends
+# Required-Start:    $local_fs dbus
+# Required-Stop:     $local_fs dbus
+# Should-Start:	     $syslog
+# Should-Stop:       $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      1
+# Short-Description: Gnome System Tools Backends
+# Description:       The Gnome System Tools Backends daemon handles root-needed
+#                    operations to configure your machine with the Gnome System
+#		     Tools.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/system-tools-backends
+PIDDIR=/var/run
+PIDFILE=$PIDDIR/system-tools-backends.pid
+NAME=system-tools-backends
+DESC="System Tools Backends"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+do_start() {
+    echo "Starting $DESC"
+    start-stop-daemon --start --startas $DAEMON --quiet --pidfile $PIDFILE
+}
+
+do_stop() {
+    echo "Stopping $DESC"
+    start-stop-daemon --stop --oknodo --quiet --pidfile $PIDFILE --startas $DAEMON
+}
+
+case "$1" in
+  start)
+    do_start
+    ;;
+  stop)
+    do_stop
+    ;;
+  #reload)
+    #
+    # If the daemon can reload its config files on the fly
+    # for example by sending it SIGHUP, do it here.
+    #
+    # If the daemon responds to changes in its config file
+    # directly anyway, make this a do-nothing entry.
+    #
+    # echo "Reloading $DESC configuration files."
+    # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+    #   /var/run/$NAME.pid --exec $DAEMON
+  #;;
+  restart|force-reload)
+    #
+    #   If the "reload" option is implemented, move the "force-reload"
+    #   option to the "reload" entry above. If not, "force-reload" is
+    #   just the same as "restart".
+    #
+    do_stop
+    sleep 5
+    do_start
+    ;;
+  *)
+    N=/etc/init.d/$NAME
+    echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
+    exit 1
+    ;;
+esac
+
+exit 0
+
diff --git a/recipes/gnome/system-tools-backends_2.8.1.bb b/recipes/gnome/system-tools-backends_2.8.1.bb
index 8e01112..d4a03f0 100644
--- a/recipes/gnome/system-tools-backends_2.8.1.bb
+++ b/recipes/gnome/system-tools-backends_2.8.1.bb
@@ -1,5 +1,3 @@
-DEFAULT_PREFERENCE = "-1"
-
 DESCRIPTION = "gnome system tools backends"
 LICENSE = "GPL"
 
@@ -35,4 +33,3 @@ FILES_${PN} += " ${libdir}/pkgconfig"
 FILES_${PN} += " ${datadir}/dbus-1/system-services"
 FILES_${PN} += " ${datadir}/system-tools-backends-2.0/files"
 FILES_${PN} += " ${datadir}/system-tools-backends-2.0/scripts"
-
diff --git a/recipes/gnome/system-tools-backends_2.8.3.bb b/recipes/gnome/system-tools-backends_2.8.3.bb
new file mode 100644
index 0000000..1178823
--- /dev/null
+++ b/recipes/gnome/system-tools-backends_2.8.3.bb
@@ -0,0 +1,42 @@
+DESCRIPTION = "gnome system tools backends"
+LICENSE = "GPL"
+
+DEPENDS = "dbus dbus-glib glib-2.0 policykit"
+
+# Shadow added so there is a full adduser/deluser
+# (Gnome images tend to pull in shadow anyway)
+RDEPENDS = "shadow"
+
+inherit gnome pkgconfig update-rc.d
+
+SRC_URI += " \
+            file://system-tools-backends \
+           "
+
+SRC_URI_append_angstrom = " \
+            file://add-angstrom-distro.patch;patch=1 \
+           "
+
+do_configure_prepend() {
+	sed -i -e /IT_PROG_INTLTOOL/d ${S}/configure.in
+	sed -i -e /Makefile.in/d ${S}/configure.in
+	sed -i -e 's: po : :g' ${S}/Makefile.am
+	sed -i -e /policy/d ${S}/Makefile.am
+	sed -i -e 's:org.freedesktop.SystemToolsBackends.service \\:org.freedesktop.SystemToolsBackends.service:g' ${S}/Makefile.am
+	sed -i -e 's:@INTLTOOL_POLICY_RULE@::g' ${S}/Makefile.am
+	sed -i -e 's:CC=$(CC):CC="$(CC)":g' ${S}/Net-DBus/Makefile.am
+}
+
+do_install_append () {
+	install -d ${D}/${sysconfdir}/init.d
+	install -m 0755 ${WORKDIR}/system-tools-backends ${D}/${sysconfdir}/init.d/	
+}
+
+INITSCRIPT_NAME = "system-tools-backends"
+INITSCRIPT_PARAMS = "start 50 2 3 4 5 . stop 70 1 ."
+
+FILES_${PN} += " ${sysconfdir}/dbus-1/system.d"
+FILES_${PN} += " ${libdir}/pkgconfig"
+FILES_${PN} += " ${datadir}/dbus-1/system-services"
+FILES_${PN} += " ${datadir}/system-tools-backends-2.0/files"
+FILES_${PN} += " ${datadir}/system-tools-backends-2.0/scripts"





More information about the Openembedded-commits mailing list